# std::tr1::integral_constant< _Tp, __v > Struct Template Reference

Inheritance diagram for std::tr1::integral_constant< _Tp, __v >:

List of all members.

## Detailed Description

### template<typename _Tp, _Tp __v>
struct std::tr1::integral_constant< _Tp, __v >

Definition at line 92 of file type_traits.

## Public Types

- typedef integral_constant<
  _Tp, __v > type
- typedef _Tp value_type

## Static Public Attributes

- static const _Tp value

The documentation for this struct was generated from the following file:

- type_traits